<?
use app\modules\ldjson\jsonLD;
use yii\helpers\Url;

$this->title = $model->name;
$this->params['breadcrumbs'] = [

];
$this->params['breadcrumbs'][] =
    [
       "text"=>$model->name,
       "url"=>"/person/".mb_strtolower($model->alias)
	];


Yii::$app->og->title = $model->name;
Yii::$app->og->description = $model->name.': '.$model->jobtitle;

Yii::$app->og->canonical = $model->getUrl(true);
Yii::$app->og->og_url = $model->getUrl(true);
Yii::$app->og->og_image = $model->getImg('1','jpg');
Yii::$app->og->og_type = "person";
Yii::$app->og->og_title = htmlspecialchars($model->name);
Yii::$app->og->og_description = htmlspecialchars(Yii::$app->og->description);
//Yii::$app->og->dtpub = date( "r", strtotime( '10.04.2023 12:40:00' ) );


jsonLD::addAmicORG();
//jsonLD::news( $model->title, preg_replace('/\s+/', ' ', str_replace( ["\n","\r"],' ',Yii::$app->og->description)), $model->image->url, $model->dt_pub, $model->getUrl(), $model->uid, $model->text);
jsonLD::person( $model->name, $model->description, $model->jobtitle,  Url::base('https').$model->getImg('1','jpg', true), $model->getUrl(true), $model->birthdate);
$i = 1;
foreach($this->params['breadcrumbs'] as $el){
	jsonLD::addBreadcrumb($i, $el['url'], $el['text']);
	$i++;
}
?>

<div class="row justify-content-md-center">
    <div class="col-md-10">
    <?=$this->render("/layouts/breadcrumbs")?>
        <div id="post" class="post">
			<section class="text person">
            <h1><?=$model->name?></h1>
            <img src="<?=$model->getImg('2','jpg')?>" class="img-thumbnail rounded float-left mr-3 mb-2 person" alt="<?=$model->name?>">
            <h3><b><?=$model->jobtitle?></b></h3><br>
            <?=$model->description?>
            </section>
        </div>
    </div>
</div>
